summarylogtreecommitdiffstats
path: root/mydict.sh
diff options
context:
space:
mode:
authorzxp198210052024-02-05 18:24:27 +0800
committerzxp198210052024-02-05 18:24:27 +0800
commite58a8aeb8aaf1e26d552311b135f79b2f44e850b (patch)
tree707b80455dcb7c92d092f535dc4106c4b830f402 /mydict.sh
parentcf071a06391514e88220e819283f720b1407537a (diff)
downloadaur-e58a8aeb8aaf1e26d552311b135f79b2f44e850b.tar.gz
fix errors
Diffstat (limited to 'mydict.sh')
-rw-r--r--mydict.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/mydict.sh b/mydict.sh
index 5b932c6b1cec..8f30b5b7930a 100644
--- a/mydict.sh
+++ b/mydict.sh
@@ -4,5 +4,6 @@ _APPDIR="/opt/@appname@"
_RUNNAME="${_APPDIR}/@runname@"
export PATH="${_APPDIR}:${PATH}"
export LD_LIBRARY_PATH="${_APPDIR}:${LD_LIBRARY_PATH}"
+export QT_PLUGIN_PATH="${_APPDIR}/PyQt5/Qt/plugins:${QT_PLUGIN_PATH}"
cd "${_APPDIR}"
-exec "${_RUNNAME}" "$@" | exit \ No newline at end of file
+exec "${_RUNNAME}" "$@" || exit $? \ No newline at end of file